<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>案例分类管理</title>
	<meta name="decorator" content="default"/>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
		  if(validateForm.form()){
			  $("#inputForm").submit();
			  return true;
		  }
	
		  return false;
		}
		$(document).ready(function() {
			validateForm = $("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
			
		});
	</script>
</head>
<body>
<div class="single-form">
	<div class="container">
		<form:form id="inputForm" modelAttribute="caseCategory" action="${ctx}/casecategory/caseCategory/save" method="post" class="form-horizontal">
		<form:hidden path="id"/>
		<%--<sys:message content="${message}"/>--%>

			<div class="form-group layui-row first lw12">
				<div class="form-group-label"><h2>案例分类</h2></div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label">上级父级编号：</label>
					<div class="layui-input-block with-icon">
						<sys:treeselect id="parent" name="parent.id" value="${caseCategory.parent.id}" labelName="parent.name" labelValue="${caseCategory.parent.name}"
										title="父级编号" url="/casecategory/caseCategory/treeData" extId="${caseCategory.id}" cssClass="form-control simple-select" allowClear="true"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label"><span class="require-item">*</span>编号分类名：</label>
					<div class="layui-input-block">
						<form:input path="name" htmlEscape="false"    class="form-control required layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12">
					<label class="layui-form-label"><span class="require-item">*</span>排序：</label>
					<div class="layui-input-block">
						<form:input path="sort" htmlEscape="false"    class="form-control required digits layui-input"/>
					</div>
				</div>
				<div class="layui-item layui-col-sm12 with-textarea">
					<label class="layui-form-label">备注信息：</label>
					<div class="layui-input-block">
						<form:textarea path="remarks" htmlEscape="false" rows="4"   maxlength="255" class="form-control "/>
					</div>
				</div>
			</div>
		</form:form>
	</div>
</div>
</body>
</html>